# dmd.dtoh

This module contains the implementation of the C++ header generation available through the command line switch -Hc.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: dtoh.d

Documentation: https://dlang.org/phobos/dmd_dtoh.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/dtoh.d

- `genCppHdrFiles`

  #### Declaration

  `void `genCppHdrFiles`(ref Modules `ms`);`

  Generates a C++ header containing bindings for all `extern(C[++])` declarations found in the supplied modules.

  #### Parameters

  `Modules `ms`` | the modules

  Notes:

  - the header is written to `<global.params.cxxhdrdir>/<global.params.cxxhdrfile>` or `stdout` if no explicit file was specified
  - bindings conform to the C++ standard defined in `global.params.cplusplus`
  - ignored declarations are mentioned in a comment if `global.params.doCxxHdrGeneration` is set to `CxxHeaderMode.verbose`